/**
 *******************************************************************************
 * @file    TMP89Fx.h
 * @brief   TLCS-870/C1 Series Peripheral Access Layer Header File for the
 *          TOSHIBA 'TMP89Fx' Group
 * @version V0.0.1.0
 * $Date:: 2019-08-21 14:33:28 +#$
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LISENCE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */
#ifndef __TMP89Fx_H__
#define __TMP89Fx_H__

/** @addtogroup TOSHIBA_870C1_MICROCONTROLLER TOSHIBA 870C1 MICROCONTROLLER
  * @{
  */
  
/** @addtogroup TMP89Fx TMP89Fx
  * @{
  */

#if !defined(TMP89FS60B) && !defined(TMP89FS62B) && \
	!defined(TMP89FS63B)
/**
  * @brief Remove a comment of target device.
  */
	#define TMP89FS60B		/*!< TMP89FS60B device */
/*	#define TMP89FS62B 	*/	/*!< TMP89FS62B device */
/*	#define TMP89FS63B 	*/	/*!< TMP89FS63B device */
#endif

/** @defgroup Device_Included Device Included
  * @{
  */

#if defined(TMP89FS60B)
	#include "io89FS60B_def.h"
#elif defined(TMP89FS62B)
	#include "io89FS62B_def.h"
#elif defined(TMP89FS63B)
	#include "io89FS63B_def.h"
#else
	#error "target device is non-select."
#endif

/**
  * @}
  */ /* End of group Device_Included */

#endif  /* __TMP89Fx_H__ */

/**
  * @}
  */ /* End of group TMP89Fx */

/**
  * @}
  */ /* End of group TOSHIBA_870C1_MICROCONTROLLER */
