/** 
 *******************************************************************************
 * @file    io89FS62B_def.h
 * @brief   Sample SFR Define Header File for TLCS-870/C1 Series/TMP89FM62B
 * @version V1.0.2.0
 * $Date:: 2019-07-31 15:39:36 #$
 * 
 * DO NOT USE THIS SOFTWARE WITHOUT THE SOFTWARE LICENSE AGREEMENT.
 * 
 * Copyright(C) Toshiba Electronic Device Solutions Corporation 2019
 *******************************************************************************
 */
#ifndef IO89FS62B_DEF_H
#define IO89FS62B_DEF_H

#include "io89FS62B.h"

#define	P0DR		_P0DR.byte
#define	P00			_P0DR.bit.b0
#define	P01			_P0DR.bit.b1
#define	P02			_P0DR.bit.b2
#define	P03			_P0DR.bit.b3
#define	P1DR		_P1DR.byte
#define	P10			_P1DR.bit.b0
#define	P11			_P1DR.bit.b1
#define P2DR		_P2DR.byte
#define P20			_P2DR.bit.b0
#define	P21			_P2DR.bit.b1
#define	P22			_P2DR.bit.b2
#define	P23			_P2DR.bit.b3
#define P4DR		_P4DR.byte
#define	P40			_P4DR.bit.b0
#define	P41			_P4DR.bit.b1
#define	P42			_P4DR.bit.b2
#define	P43			_P4DR.bit.b3
#define P44			_P4DR.bit.b4
#define P45			_P4DR.bit.b5
#define P46			_P4DR.bit.b6
#define P47			_P4DR.bit.b7
#define P7DR		_P7DR.byte
#define P70			_P7DR.bit.b0
#define P71			_P7DR.bit.b1
#define P72			_P7DR.bit.b2
#define P73			_P7DR.bit.b3
#define P74			_P7DR.bit.b4
#define P75			_P7DR.bit.b5
#define P76			_P7DR.bit.b6
#define P77			_P7DR.bit.b7
#define P8DR		_P8DR.byte
#define P80			_P8DR.bit.b0
#define P81			_P8DR.bit.b1
#define P9DR		_P9DR.byte
#define P90			_P9DR.bit.b0
#define P91			_P9DR.bit.b1
#define P92			_P9DR.bit.b2
#define P93			_P9DR.bit.b3
#define P94			_P9DR.bit.b4
#define PBDR		_PBDR.byte
#define PB0			_PBDR.bit.b0
#define PB1			_PBDR.bit.b1
#define PB2			_PBDR.bit.b2
#define PB3			_PBDR.bit.b3
#define PB4			_PBDR.bit.b4
#define PB5			_PBDR.bit.b5

#define P0PRD		_P1PRD.byte
#define P0PRD0		_P1PRD.bit.b0
#define P0PRD1		_P1PRD.bit.b1
#define P0PRD2		_P1PRD.bit.b2
#define P0PRD3		_P1PRD.bit.b3
#define P1PRD		_P1PRD.byte
#define P1PRD0		_P1PRD.bit.b0
#define P1PRD1		_P1PRD.bit.b1
#define P2PRD		_P2PRD.byte
#define P2PRD0		_P2PRD.bit.b0
#define P2PRD1		_P2PRD.bit.b1
#define P2PRD2		_P2PRD.bit.b2
#define P2PRD3		_P2PRD.bit.b3
#define P4PRD		_P4PRD.byte
#define P4PRD0		_P4PRD.bit.b0
#define P4PRD1		_P4PRD.bit.b1
#define P4PRD2		_P4PRD.bit.b2
#define P4PRD3		_P4PRD.bit.b3
#define P4PRD4		_P4PRD.bit.b4
#define P4PRD5		_P4PRD.bit.b5
#define P4PRD6		_P4PRD.bit.b6
#define P4PRD7		_P4PRD.bit.b7
#define P7PRD		_P7PRD.byte
#define P7PRD0		_P7PRD.bit.b0
#define P7PRD1		_P7PRD.bit.b1
#define P7PRD2		_P7PRD.bit.b2
#define P7PRD3		_P7PRD.bit.b3
#define P7PRD4		_P7PRD.bit.b4
#define P7PRD5		_P7PRD.bit.b5
#define P7PRD6		_P7PRD.bit.b6
#define P7PRD7		_P7PRD.bit.b7
#define P8PRD		_P8PRD.byte
#define P8PRD0		_P8PRD.bit.b0
#define P8PRD1		_P8PRD.bit.b1
#define P9PRD		_P9PRD.byte
#define P9PRD0		_P9PRD.bit.b0
#define P9PRD1		_P9PRD.bit.b1
#define P9PRD2		_P9PRD.bit.b2
#define P9PRD3		_P9PRD.bit.b3
#define P9PRD4		_P9PRD.bit.b4
#define PBPRD		_PBPRD.byte
#define PBPRD0		_PBPRD.bit.b0
#define PBPRD1		_PBPRD.bit.b1
#define PBPRD2		_PBPRD.bit.b2
#define PBPRD3		_PBPRD.bit.b3
#define PBPRD4		_PBPRD.bit.b4
#define PBPRD5		_PBPRD.bit.b5

#define T00MOD		_T00MOD.byte
#define EIN0		_T00MOD.bit.b2
#define DBE0		_T00MOD.bit.b6
#define TFF0		_T00MOD.bit.b7
#define T01MOD		_T01MOD.byte
#define EIN1		_T01MOD.bit.b2
#define DBE1		_T01MOD.bit.b6
#define TFF1		_T01MOD.bit.b7
#define T001CR		_T001CR.byte
#define T00RUN		_T001CR.bit.b0
#define T01RUN		_T001CR.bit.b1
#define TCAS01		_T001CR.bit.b2
#define OUTAND01	_T001CR.bit.b3

#define TA0MOD		_TA0MOD.byte
#define TA0MCAP		_TA0MOD.bit.b5
#define TA0METT		TA0MCAP
#define TA0TED		_TA0MOD.bit.b6
#define TA0MDBE		_TA0MOD.bit.b7
#define TA0CR		_TA0CR.byte
#define TA0S		_TA0CR.bit.b0
#define TA0ACAP		_TA0CR.bit.b1
#define TA0MPPG		TA0ACAP
#define TA0TFF		_TA0CR.bit.b6
#define TA0OVE		_TA0CR.bit.b7
#define TA0SR		_TA0SR.byte
#define TA0CPFB		_TA0SR.bit.b0
#define TA0CPFA		_TA0SR.bit.b1
#define TA0OVF		_TA0SR.bit.b7
#define TA1CR		_TA1CR.byte
#define TA1S		_TA1CR.bit.b0
#define TA1ACAP		_TA1CR.bit.b1
#define TA1MPPG		TA0ACAP
#define TA1TFF		_TA1CR.bit.b6
#define TA1OVE		_TA1CR.bit.b7
#define TA0DRA		_TA0DRA.word
#define TA0DRB		_TA0DRB.word
#define TA1DRA		_TA1DRA.word
#define TA1DRB		_TA1DRB.word

#define ADCCR1		_ADCCR1.byte
#define AINEN		_ADCCR1.bit.b4
#define ADRS		_ADCCR1.bit.b7
#define ADCCR2		_ADCCR2.byte
#define ADBF		_ADCCR2.bit.b6
#define EOCF		_ADCCR2.bit.b7

#define DVOCR		_DVOCR.byte
#define DVOEN		_DVOCR.bit.b2

#define TBTCR		_TBTCR.byte
#define TBTEN		_TBTCR.bit.b3

#define P0CR		_P0CR.byte
#define P0CR0		_P0CR.bit.b0
#define P0CR1		_P0CR.bit.b1
#define P0CR2		_P0CR.bit.b2
#define P0CR3		_P0CR.bit.b3
#define P1CR		_P1CR.byte
#define P1CR0		_P1CR.bit.b0
#define P1CR1		_P1CR.bit.b1
#define P2CR		_P2CR.byte
#define P2CR0		_P2CR.bit.b0
#define P2CR1		_P2CR.bit.b1
#define P2CR2		_P2CR.bit.b2
#define P2CR3		_P2CR.bit.b3
#define P4CR		_P4CR.byte
#define P4CR0		_P4CR.bit.b0
#define P4CR1		_P4CR.bit.b1
#define P4CR2		_P4CR.bit.b2
#define P4CR3		_P4CR.bit.b3
#define P4CR4		_P4CR.bit.b4
#define P4CR5		_P4CR.bit.b5
#define P4CR6		_P4CR.bit.b6
#define P4CR7		_P4CR.bit.b7
#define P5CR		_P5CR.byte
#define P5CR0		_P5CR.bit.b0
#define P5CR1		_P5CR.bit.b1
#define P5CR2		_P5CR.bit.b2
#define P5CR3		_P5CR.bit.b3
#define P5CR4		_P5CR.bit.b4
#define P5CR5		_P5CR.bit.b5
#define P5CR6		_P5CR.bit.b6
#define P5CR7		_P5CR.bit.b7
#define P7CR		_P7CR.byte
#define P7CR0		_P7CR.bit.b0
#define P7CR1		_P7CR.bit.b1
#define P7CR2		_P7CR.bit.b2
#define P7CR3		_P7CR.bit.b3
#define P7CR4		_P7CR.bit.b4
#define P7CR5		_P7CR.bit.b5
#define P7CR6		_P7CR.bit.b6
#define P7CR7		_P7CR.bit.b7
#define P8CR		_P8CR.byte
#define P8CR0		_P8CR.bit.b0
#define P8CR1		_P8CR.bit.b1
#define P9CR		_P9CR.byte
#define P9CR0		_P9CR.bit.b0
#define P9CR1		_P9CR.bit.b1
#define P9CR2		_P9CR.bit.b2
#define P9CR3		_P9CR.bit.b3
#define P9CR4		_P9CR.bit.b4
#define PBCR		_PBCR.byte
#define PBCR0		_PBCR.bit.b0
#define PBCR1		_PBCR.bit.b1
#define PBCR2		_PBCR.bit.b2
#define PBCR3		_PBCR.bit.b3
#define PBCR4		_PBCR.bit.b4
#define PBCR5		_PBCR.bit.b5

#define P0PU		_P0PU.byte
#define P0PU0		_P0PU.bit.b0
#define P0PU1		_P0PU.bit.b1
#define P0PU2		_P0PU.bit.b2
#define P0PU3		_P0PU.bit.b3
#define P1PU		_P1PU.byte
#define P1PU0		_P1PU.bit.b0
#define P1PU1		_P1PU.bit.b1
#define P2PU		_P2PU.byte
#define P2PU0		_P2PU.bit.b0
#define P2PU1		_P2PU.bit.b1
#define P2PU2		_P2PU.bit.b2
#define P4PU		_P4PU.byte
#define P4PU0		_P4PU.bit.b0
#define P4PU1		_P4PU.bit.b1
#define P4PU2		_P4PU.bit.b2
#define P4PU3		_P4PU.bit.b3
#define P4PU4		_P4PU.bit.b4
#define P4PU5		_P4PU.bit.b5
#define P4PU6		_P4PU.bit.b6
#define P4PU7		_P4PU.bit.b7
#define P9PU		_P9PU.byte
#define P9PU0		_P9PU.bit.b0
#define P9PU1		_P9PU.bit.b1
#define P9PU2		_P9PU.bit.b2
#define P9PU3		_P9PU.bit.b3
#define P9PU4		_P9PU.bit.b4

#define P0FC		_P0FC.byte
#define P0FC2		_P0FC.bit.b2
#define P2FC		_P2FC.byte
#define P2FC0		_P2FC.bit.b0
#define P2FC1		_P2FC.bit.b1
#define P2FC2		_P2FC.bit.b2
#define P4FC		_P4FC.byte
#define P4FC0		_P4FC.bit.b0
#define P4FC1		_P4FC.bit.b1
#define P4FC2		_P4FC.bit.b2
#define P4FC3		_P4FC.bit.b3
#define P4FC4		_P4FC.bit.b4
#define P4FC5		_P4FC.bit.b5
#define P4FC6		_P4FC.bit.b6
#define P4FC7		_P4FC.bit.b7
#define P5FC		_P5FC.byte
#define P5FC0		_P5FC.bit.b0
#define P7FC		_P7FC.byte
#define P7FC0		_P7FC.bit.b0
#define P7FC1		_P7FC.bit.b1
#define P7FC2		_P7FC.bit.b2
#define P7FC3		_P7FC.bit.b3
#define P7FC4		_P7FC.bit.b4
#define P8FC		_P8FC.byte
#define P8FC0		_P8FC.bit.b0
#define P8FC1		_P8FC.bit.b1
#define P9FC		_P9FC.byte
#define P9FC0		_P9FC.bit.b0
#define P9FC1		_P9FC.bit.b1
#define P9FC2		_P9FC.bit.b2
#define P9FC3		_P9FC.bit.b3
#define P9FC4		_P9FC.bit.b4
#define PBFC		_PBFC.byte
#define PBFC4		_PBFC.bit.b4
#define PBFC5		_PBFC.bit.b5
#define PBFC6		_PBFC.bit.b6

#define P2OUTCR		_P2OUTCR.byte
#define P2OUTCR0	_P2OUTCR.bit.b0
#define P2OUTCR1	_P2OUTCR.bit.b1
#define P2OUTCR2	_P2OUTCR.bit.b2
#define P9OUTCR		_P9OUTCR.byte
#define P9OUTCR0	_P9OUTCR.bit.b0
#define P9OUTCR1	_P9OUTCR.bit.b1
#define P9OUTCR2	_P9OUTCR.bit.b2
#define P9OUTCR3	_P9OUTCR.bit.b3
#define P9OUTCR4	_P9OUTCR.bit.b4
#define PBOUTCR		_PBOUTCR.byte
#define PBOUTCR0	_PBOUTCR.bit.b0
#define PBOUTCR1	_PBOUTCR.bit.b1
#define PBOUTCR2	_PBOUTCR.bit.b2
#define PBOUTCR3	_PBOUTCR.bit.b3
#define PBOUTCR4	_PBOUTCR.bit.b4
#define PBOUTCR5	_PBOUTCR.bit.b5

#define UART0CR1	_UART0CR1.byte
#define UART0CR1_BRG		_UART0CR1.bit.b1
#define UART0CR1_IRDASEL	_UART0CR1.bit.b2
#define UART0CR1_PE			_UART0CR1.bit.b3
#define UART0CR1_EVEN		_UART0CR1.bit.b4
#define UART0CR1_STOPBT		_UART0CR1.bit.b5
#define UART0CR1_RXE		_UART0CR1.bit.b6
#define UART0CR1_TXE		_UART0CR1.bit.b7
#define UART0CR2	_UART0CR2.byte
#define UART0CR2_STOPBR		_UART0CR2.bit.b0
#define UART0SR		_UART0SR.byte
#define UART0SR_TBFL0	_UART0SR.bit.b0
#define UART0SR_TBSY0	_UART0SR.bit.b1
#define UART0SR_RBFL0	_UART0SR.bit.b2
#define UART0SR_RBSY0	_UART0SR.bit.b3
#define UART0SR_OERR0	_UART0SR.bit.b5
#define UART0SR_FERR0	_UART0SR.bit.b6
#define UART0SR_PERR0	_UART0SR.bit.b7

#define UART1CR1	_UART1CR1.byte
#define UART1CR1_BRG		_UART1CR1.bit.b1
#define UART1CR1_IRDASEL	_UART1CR1.bit.b2
#define UART1CR1_PE			_UART1CR1.bit.b3
#define UART1CR1_EVEN		_UART1CR1.bit.b4
#define UART1CR1_STOPBT		_UART1CR1.bit.b5
#define UART1CR1_RXE		_UART1CR1.bit.b6
#define UART1CR1_TXE		_UART1CR1.bit.b7
#define UART1CR2	_UART1CR2.byte
#define UART1CR2_STOPBR		_UART1CR2.bit.b0
#define UART1SR		_UART1SR.byte
#define UART1SR_TBFL1	_UART1SR.bit.b0
#define UART1SR_TBSY1	_UART1SR.bit.b1
#define UART1SR_RBFL1	_UART1SR.bit.b2
#define UART1SR_RBSY1	_UART1SR.bit.b3
#define UART1SR_OERR1	_UART1SR.bit.b5
#define UART1SR_FERR1	_UART1SR.bit.b6
#define UART1SR_PERR1	_UART1SR.bit.b7

#define UART2CR1	_UART2CR1.byte
#define UART2CR1_BRG		_UART2CR1.bit.b1
#define UART2CR1_IRDASEL	_UART2CR1.bit.b2
#define UART2CR1_PE			_UART2CR1.bit.b3
#define UART2CR1_EVEN		_UART2CR1.bit.b4
#define UART2CR1_STOPBT		_UART2CR1.bit.b5
#define UART2CR1_TXE		_UART2CR1.bit.b7
#define UART2CR1_RXE		_UART2CR1.bit.b6
#define UART2CR2	_UART2CR2.byte
#define UART2CR2_STOPBR		_UART2CR2.bit.b0
#define UART2SR		_UART2SR.byte
#define UART2SR_TBFL2	_UART2SR.bit.b0
#define UART2SR_TBSY2	_UART2SR.bit.b1
#define UART2SR_RBFL2	_UART2SR.bit.b2
#define UART2SR_RBSY2	_UART2SR.bit.b3
#define UART2SR_OERR2	_UART2SR.bit.b5
#define UART2SR_FERR2	_UART2SR.bit.b6
#define UART2SR_PERR2	_UART2SR.bit.b7

#define SIO0CR	_SIO0CR.byte
#define SIO0CR_SIOS		_SIO0CR.bit.b2
#define SIO0CR_SIODIR	_SIO0CR.bit.b3
#define SIO0CR_SIOEDG	_SIO0CR.bit.b7
#define SIO0SR	_SIO0SR.byte
#define SIO0SR_TBFL	_SIO0SR.bit.b2
#define SIO0SR_UERR	_SIO0SR.bit.b3
#define SIO0SR_REND	_SIO0SR.bit.b4
#define SIO0SR_OERR	_SIO0SR.bit.b5
#define SIO0SR_SEF	_SIO0SR.bit.b6
#define SIO0SR_SIOF	_SIO0SR.bit.b7
#define SIO1CR	_SIO1CR.byte
#define SIO1CR_SIOS		_SIO1CR.bit.b2
#define SIO1CR_SIODIR	_SIO1CR.bit.b3
#define SIO1CR_SIOEDG	_SIO1CR.bit.b7
#define SIO1SR	_SIO1SR.byte
#define SIO1SR_TBFL	_SIO1SR.bit.b2
#define SIO1SR_UERR	_SIO1SR.bit.b3
#define SIO1SR_REND	_SIO1SR.bit.b4
#define SIO1SR_OERR	_SIO1SR.bit.b5
#define SIO1SR_SEF	_SIO1SR.bit.b6
#define SIO1SR_SIOF	_SIO1SR.bit.b7

#define POFFCR0	_POFFCR0.byte
#define TCA0EN	_POFFCR0.bit.b0
#define TCA1EN	_POFFCR0.bit.b1
#define TC001EN	_POFFCR0.bit.b4
#define TC023EN	_POFFCR0.bit.b5
#define POFFCR1	_POFFCR1.byte
#define UART0EN	_POFFCR1.bit.0
#define UART1EN	_POFFCR1.bit.1
#define UART2EN	_POFFCR1.bit.2
#define POFFCR2	_POFFCR2.byte
#define SIO0EN	_POFFCR2.bit.b0
#define SIO1EN	_POFFCR2.bit.b1
#define RTCEN	_POFFCR2.bit.b5
#define POFFCR3	_POFFCR3.byte
#define INT2EN	_POFFCR3.bit.b2
#define INT3EN	_POFFCR3.bit.b3
#define INT4EN	_POFFCR3.bit.b4
#define INT5EN	_POFFCR3.bit.b5

#define T02MOD	_T02MOD.byte
#define EIN2	_T02MOD.bit.b2
#define DBE2	_T02MOD.bit.b6
#define TFF2	_T02MOD.bit.b7
#define T03MOD	_T03MOD.byte
#define EIN3	_T03MOD.bit.b2
#define DBE3	_T03MOD.bit.b6
#define TFF3	_T03MOD.bit.b7
#define T023CR		_T023CR.byte
#define T02RUN		_T023CR.bit.b0
#define T03RUN		_T023CR.bit.b1
#define TCAS23		_T001CR.bit.b2
#define OUTAND23	_T001CR.bit.b3

#define TA1MOD	_TA1MOD.byte
#define TA1MCAP		_TA1MOD.bit.b5
#define TA1METT		TA1MCAP
#define TA1TED		_TA1MOD.bit.b6
#define TA1MDBE		_TA1MOD.bit.b7
#define TA1SR	_TA1SR.byte
#define TA1CPFB		_TA1SR.bit.b0
#define TA1CPFA		_TA1SR.bit.b1
#define TA1OVF		_TA1SR.bit.b7

#define KWUCR0	_KWUCR0.byte
#define KW0EN	_KWUCR0.bit.b0
#define KW0LE	_KWUCR0.bit.b1
#define KW1EN	_KWUCR0.bit.b2
#define KW1LE	_KWUCR0.bit.b3
#define KW2EN	_KWUCR0.bit.b4
#define KW2LE	_KWUCR0.bit.b5
#define KW3EN	_KWUCR0.bit.b6
#define KW3LE	_KWUCR0.bit.b7
#define KWUCR1	_KWUCR1.byte
#define KW4EN	_KWUCR1.bit.b0
#define KW4LE	_KWUCR1.bit.b1
#define KW5EN	_KWUCR1.bit.b2
#define KW5LE	_KWUCR1.bit.b3
#define KW6EN	_KWUCR1.bit.b4
#define KW6LE	_KWUCR1.bit.b5
#define KW7EN	_KWUCR1.bit.b6
#define KW7LE	_KWUCR1.bit.b7

#define VDCR1	_VDCR1.byte
#define VD1SF	_VDCR1.bit.b2
#define VD1F	_VDCR1.bit.b3
#define VDCR2	_VDCR2.byte
#define VD1EN	_VDCR2.bit.b0
#define VD1MOD	_VDCR2.bit.b1

#define RTCCR	_RTCCR.byte
#define RTCRUN	_RTCCR.bit.b0

#define SERSEL	_SERSEL.byte
#define SRSEL2	_SERSEL.bit.b4

#define IRSTSR	_IRSTSR.byte
#define WDTRF	_IRSTSR.bit.b0
#define SYSRF	_IRSTSR.bit.b1
#define LVD1RF	_IRSTSR.bit.b2
#define TRMRF	_IRSTSR.bit.b4
#define TRMDS	_IRSTSR.bit.b5
#define FLSRF	_IRSTSR.bit.b6
#define FCLR	_IRSTSR.bit.b7
#define WUCCR	_WUCCR.byte
#define WUCSEL	_WUCCR.bit.b1
#define WUCRST	_WUCCR.bit.b7

#define CGCR	_CGCR.byte

#define FLSCR1	_FLSCR1.byte
#define BAREA	_FLSCR1.bit.b4

#define FLSSTB	_FLSSTB.byte
#define FSTB	_FLSSTB.bit.b0

#define EINTCR2	_EINTCR2.byte
#define INT2LVL	_EINTCR2.bit.b4
#define EINTCR3	_EINTCR3.byte
#define INT3LVL	_EINTCR3.bit.b4
#define EINTCR4	_EINTCR4.byte
#define INT4LVL	_EINTCR4.bit.b4

#define ILPRS1	_ILPRS1.byte
#define ILPRS2	_ILPRS2.byte
#define ILPRS3	_ILPRS3.byte
#define ILPRS4	_ILPRS4.byte
#define ILPRS5	_ILPRS5.byte
#define ILPRS6	_ILPRS6.byte

#define	EIR_INTWDT	_EIR.bit.b3
#define	EIR_INTWUC	_EIR.bit.b4
#define	EIR_INTTBT	_EIR.bit.b5
#define	EIR_INTRXD0	_EIR.bit.b6
#define	EIR_INTSIO0	_EIR.bit.b6
#define	EIR_INTTXD0	_EIR.bit.b7
#define	EIR_INT5	_EIR.bit.b8
#define	EIR_INTVLTD	_EIR.bit.b9
#define EIR_INTADC  _EIR.bit.b10
#define EIR_INTRTC  _EIR.bit.b11
#define EIR_INTTC00 _EIR.bit.b12
#define EIR_INTTC01 _EIR.bit.b13
#define EIR_INTTCA0 _EIR.bit.b14
#define EIR_INT2    _EEIR.bit.b2
#define EIR_INT3    _EEIR.bit.b3
#define EIR_INT4    _EEIR.bit.b4
#define EIR_INTTCA1 _EEIR.bit.b5
#define EIR_INTRXD1 _EEIR.bit.b6
#define EIR_INTSIO1 _EEIR.bit.b6
#define EIR_INTTXD1 _EEIR.bit.b7
#define EIR_INTTC02 _EEIR.bit.b8
#define EIR_INTTC03 _EEIR.bit.b9
#define EIR_INTRXD2 _EEIR.bit.b10
#define EIR_INTTXD2 _EEIR.bit.b11

#define UATCNG	_UATCNG.byte
#define UAT0IO	_UATCNG.bit.b0
#define UAT1IO	_UATCNG.bit.b1
#define UAT2IO	_UATCNG.bit.b2

#define WDCTR	_WDCTR.byte
#define WDTOUT	_WDCTR.bit.b0
#define WDTEN	_WDCTR.bit.b5
#define WDST	_WDST.byte
#define WDTST	_WDST.bit.b0
#define WINTST1	_WDST.bit.b1
#define WINTST2	_WDST.bit.b2

#define SYSCR1	_SYSCR1.byte
#define DV9CK	_SYSCR1.bit.b4
#define OUTEN	_SYSCR1.bit.b5
#define RELM	_SYSCR1.bit.b6
#define STOP	_SYSCR1.bit.b7
#define SYSCR2	_SYSCR2.byte
#define TGHALT	_SYSCR2.bit.b2
#define IDLE	_SYSCR2.bit.b3
#define SYSCK	_SYSCR2.bit.b4
#define XTEN	_SYSCR2.bit.b5
#define XEN		_SYSCR2.bit.b6
#define SYSCR3	_SYSCR3.byte
#define RSTDIS	_SYSCR3.bit.b0
#define RAREA	_SYSCR3.bit.b1
#define RVCTR	_SYSCR3.bit.b2

#endif	/* IO89FS62B_DEF_H */
/*-eof-*/
